/***************************************************************************
                          subgraphsize.h  -  description
                             -------------------
    begin                : Mon Mar 5 2001
    copyright            : (C) 2001 by Gleiss Petra Manuela
    email                : petra@gleiss.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUBGRAPHSIZE_H
#define SUBGRAPHSIZE_H

#include "subgraph.h"
#include <functional>

namespace graphlib {

/**
  *@internal
  *
  */

class SubGraphSize : public greater<SubGraph*>
{
  public:
    bool operator()(const SubGraph* x, const SubGraph* y) const
    {
      return x->numberNodes() > y->numberNodes();
    }

}; // class SubGraphSize


} // namespace graphlib
#endif //SUBGRAPHSIZE_H

/* end of file */
